<ion-app>
  <ion-split-pane>
    <ion-menu>
      <ion-header>
        <ion-toolbar> <ion-title>Home</ion-title> </ion-toolbar>
      </ion-header>

      <ion-content padding>
        <ion-list>
          <ion-menu-toggle *ngFor="let p of appPages">
            <ion-item [routerLink]="p.url" [routerDirection]="'root'">
              <ion-icon slot="start" [name]="p.icon"> </ion-icon>
              <ion-label>{{ p.title }}</ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle>
            <ion-item (click)="logOut()">
              <ion-icon slot="start" name="log-out"> </ion-icon>
              <ion-label>log-out</ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>
    <ion-router-outlet main></ion-router-outlet>
  </ion-split-pane>
</ion-app>
